{config, pkgs, ...}:

{
  services.prometheus = {
    enable = true;
    port = 9999;
    scrapeConfigs = [
      {
        job_name = "minio-job";
        metrics_path = "/minio/v2/metrics/cluster";
        scheme = "http";
        # Turn into secret with bearer_token_file
        bearer_token = "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJwcm9tZXRoZXVzIiwic3ViIjoiaGlwcG9jYW1wdXMiLCJleHAiOjQ4MzA5ODA0MjB9.C-Y5lCDcpcHPWu87CXcqFdQF3nZ55neNVL-QVhf2NxGaqGQ1GL5AW7svbFZVjLJy1yMzgNn7wlAXB23d7q0GYA";
        static_configs = [
          {
            targets = [
              "100.64.0.4:9000"
            ];
          }
        ];
      }
    ];
  };
}
